Interlaken
API referenceIdentity and accessAuthentication

Return the caller's sign-in security state

GET
/api/v1/auth/security

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/auth/security"
{  "email_verified": true,  "recovery_codes_remaining": 0,  "totp_enabled": true,  "trusted_devices": [    {      "created_at": "2019-08-24T14:15:22Z",      "current": true,      "expires_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "ip": "string",      "label": "string",      "last_seen_at": "2019-08-24T14:15:22Z"    }  ]}